# mobpass
A mobile interface for gopass

## Requirements from alpine's package manager
- gopass
- py3-qt5
- py3-fuzzyfinder
- pinentry-gnome or pinentry-qt
- xclip (xorg) or wl-clipboard (wayland) for gopass

## Installation

1. Install the dependancies
2. Edit `.gnupg/gpg-agent.conf` and add:
`pinentry-program /usr/bin/pinentry-gnome3 # if using gnome` or
`pinentry-program /usr/bin/pinentry-qt # if using kde`
3. Restart gpg-agent
4. Clone this repository and run:
```
python3.8 __init__.py
```

## Credits

I took the code from [Two-Factor-Keychain](https://git.eyecreate.org/eyecreate/Two-Factor-Keychain) (c) Kevin Whitaker 2020 and made it work for Gopass rather than kde keychain. The original code and this code is licensed under GPLv3.

## Support

For support and feature requests: send an email to my [public inbox](https://lists.sr.ht/~anjan/public-inbox).

Send patches to my [public inbox](https://lists.sr.ht/~anjan/public-inbox). To learn to send patches via email, see: [git-send-email](https://git-send-email.io/).
