import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

    setuptools.setup(
        name="mobpass", # Replace with your own username
        version="0.2",
        author="Anjandev Momi",
        author_email="anjan@momi.ca",
        description="A mobile interface for gopass",
        long_description=long_description,
        long_description_content_type="text/markdown",
        url="https://git.sr.ht/~anjan/mobpass",
        packages=['mobpass'],
        package_dir={'mobpass':
                     'mobpass'},
        include_package_data=True,
        classifiers=[
            "Programming Language :: Python :: 3",
            "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
            "Operating System :: POSIX :: Linux",
            "Environment :: X11 Applications :: Qt",
        ],
        python_requires='>=3.6',
    )
